Debian Bug report logs - #528266
add pedantic option for files left over in /tmp

version graph

Package: piuparts; Maintainer for piuparts is piuparts developers team <piuparts-devel@lists.alioth.debian.org>; Source for piuparts is src:piuparts.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Mon, 11 May 2009 19:57:04 UTC

Severity: wishlist

Tags: confirmed

Fixed in version piuparts/0.38

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#528266; Package piuparts. (Mon, 11 May 2009 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Mon, 11 May 2009 19:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: add pedantic option for files left over in /tmp
Date: Mon, 11 May 2009 21:52:53 +0200
[Message part 1 (text/plain, inline)]
package: piuparts
severity: wishlist

Hi,

until 0.36 piuparts used to only ignore files left over after purge 
in /tmp/scripts, I've just changed that to also ignore stuff in /tmp.

It might be useful to add a --pedantic-purge-check option or such.


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 05 Dec 2009 19:06:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 16 Dec 2009 17:21:08 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Thu, 17 Dec 2009 15:42:12 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Thu, 17 Dec 2009 15:42:13 GMT) Full text and rfc822 format available.

Message #14 received at 528266-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 528266-close@bugs.debian.org
Subject: Bug#528266: fixed in piuparts 0.38
Date: Thu, 17 Dec 2009 15:41:21 +0000
Source: piuparts
Source-Version: 0.38

We believe that the bug you reported is fixed in the latest version of
piuparts, which is due to be installed in the Debian FTP archive:

piuparts_0.38.dsc
  to main/p/piuparts/piuparts_0.38.dsc
piuparts_0.38.tar.gz
  to main/p/piuparts/piuparts_0.38.tar.gz
piuparts_0.38_all.deb
  to main/p/piuparts/piuparts_0.38_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528266@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated piuparts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Dec 2009 14:10:27 +0000
Source: piuparts
Binary: piuparts
Architecture: source all
Version: 0.38
Distribution: unstable
Urgency: low
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 piuparts   - .deb package installation, upgrading, and removal testing tool
Closes: 440151 466043 466049 466118 519192 528266 539142 545907 547379 559449
Changes: 
 piuparts (0.38) unstable; urgency=low
 .
   * piuparts.py:
     - Add support for using LVM snapshots. Thanks to
       Patrick Schoenfeld for the patch. (Closes: #559449)
     - Add support for warning on broken symlinks. Thanks to Carl Chenet for
       the patch. (Closes: #440151)
     - Make --help usuable without needing to be run as root. (Closes: #547379)
     - --skip-minimize is now the default. This is because debootstrap is called
       with --variant=minbase instead of --resolv-deps now and because if a
       base.tgz or an lvm snapshot is specified, piuparts should not touch it.
       (Closes: #539142)
       Introduce a new option, --minimize, to minimize a chroot with debfoster.
       (This is the old default behaviour. In future versions the --minimize
       option might be removed again.)
     - Add two new options: --keyring to specify the keyring to use with
       debootstrap (defaults to /usr/share/keyrings/debian-archive-keyring.gpg)
       and --do-not-verify-signatures to not use --keyring with debootstrap.
       (Closes: #545907)
       In the chroots, APT::Get::AllowUnauthenticated is set accordingly in
       /etc/apt/apt.conf.
     - Add new option, --pedantic-purge-test, to tell piuparts to be pedantic
       when checking if a purged package leaves files behind. If this option is
       not set, files left in /tmp are ignored. (Closes: #528266)
     - Add new option, --dpkg-force-confdef, to make dpkg use --force-confdev,
       which lets dpkg always choose the default action when a modified conffile
       is found. This options will make piuparts ignore errors it was designed
       to report and therefore should only be used to hide problems in
       dependent packages. (Closes: #466118)
     - Add another type of custom-scripts, post_setup_, which are executed after
       the chroot was setup. (Closes: #466043)
     - Create policy-rc.d in 2nd chroot when using -b. (Closes: #466049)
       Thanks again to Patrick Schoenfeld for his help.
   * piuparts-report: report broken symlinks.
   * piuparts-slave:
     - gracefully deal with upgrade-test-distros and upgrade-test-chroot-tgz
       not being set in the configuration. Thanks to Carl Chenet and Patrick
       Schoenfeld for the patch. (Closes: #519192)
     - new default value for idle-sleep, 300 instead of 10 seconds. Also the
       slave will now only sleep if there is nothing to do for any section.
   * Makefile: workaround 559305 by calling a2x twice.
   * Update debian/NEWS.
   * Replace all references to sarge and etch with ones to lenny and squeeze.
Checksums-Sha1: 
 9229bc62987a8b38837b2481d88a2b32cfbb2926 1033 piuparts_0.38.dsc
 21c1dd3a35ad27dd11645bc1e29e9760ba4ff0ee 80664 piuparts_0.38.tar.gz
 f908d97b007cb0b14cf63c42e75f7465ef69f35d 82482 piuparts_0.38_all.deb
Checksums-Sha256: 
 882c8f223e39de9d6144f360dd78e248d9f787d44ca9f3e6e30cb3df541f3e0b 1033 piuparts_0.38.dsc
 3edb0ec22f0ed702ae0d30575bc5bac3572903bb5c3c768e8966049761515561 80664 piuparts_0.38.tar.gz
 00f465f194a3c8783813b37f097faed8e121b1d5af4bcb145ae8188650e265fa 82482 piuparts_0.38_all.deb
Files: 
 8b35abed87147774cba5a1da3a143199 1033 devel extra piuparts_0.38.dsc
 9b25ea027388f79c152d7942041b168e 80664 devel extra piuparts_0.38.tar.gz
 2bbbb3cfa39c34aec63f73161a56886f 82482 devel extra piuparts_0.38_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLKkAaUHLQNqxYNSARAts2AJ0XMZ9vgZt94ZRcXEWG/N703o9r7QCdFigZ
arT0LvHU+5xG9Moh6b9uPl4=
=OD1f
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jan 2010 07:42:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:09:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.